%global module_name erfa
%global pypi_name pyerfa

Name:           python-pyerfa
Version:        1.7.1.1
Release:        1%{?dist}
Summary:        Python wrapper for the ERFA library
License:        BSD
URL:            https://github.com/liberfa/pyerfa
Source0:        %{pypi_source}
Group:          Development/Python

# Python BuildRequires
BuildRequires:  python3-devel
BuildRequires:  python3-jinja2
BuildRequires:  python3-pytest-astropy
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-numpy-devel
# Non-Python BuildRequires
BuildRequires:  erfa-devel
BuildRequires:  gcc


%description
PyERFA is the Python wrapper for the ERFA library (Essential Routines for
Fundamental Astronomy), a C library containing key algorithms for astronomy,
which is based on the SOFA library published by the International Astronomical
Union (IAU). All C routines are wrapped as Numpy universal functions, so that
they can be called with scalar or array inputs.


%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
PyERFA is the Python wrapper for the ERFA library (Essential Routines for
Fundamental Astronomy), a C library containing key algorithms for astronomy,
which is based on the SOFA library published by the International Astronomical
Union (IAU). All C routines are wrapped as Numpy universal functions, so that
they can be called with scalar or array inputs.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%build
# Build using system liberfa, not bundled one
PYERFA_USE_SYSTEM_LIBERFA=1 %py3_build


%install
%py3_install


%check
pushd %{buildroot}%{python3_sitearch}/%{module_name}
%{__python3} -m pytest
rm -rf .pytest_cache
rm tests/__pycache__/test_erfa*pytest*.pyc
popd


%files -n  python3-%{pypi_name}
%license LICENSE.rst
%doc AUTHORS.rst CHANGES.rst README.rst
%{python3_sitearch}/%{module_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Fri Dec 18 2020 joequant <joequant> 1.7.1.1-1.mga8
+ Revision: 1660697
- fix deps
- update deps
- imported package python-pyerfa

